(* Installability *)

open Rapids

val check : 
    db ->
    ?log:(string -> unit) ->
    indicator:Progress.indicator ->
    targets:Package_set.t ->
    available:Package_set.t ->
    unit ->
    (Package_set.elt, (Rapids.unit_id, (Rapids.version_number * Rapids.release_number)) Napkin.versioned) Diagnosis.diagnosis
val check_archive: db -> ?log:(string -> unit) ->
	indicator:Progress.indicator -> archive:Package_set.t ->
	available:Package_set.t -> unit ->
	(Package_set.elt * (Rapids.package_id, (Rapids.unit_id, Rapids.version_number * Rapids.release_number) Napkin.versioned) Diagnosis.reason list) list
(* val install : 
    db ->
    ?log:(string -> unit) ->
    indicator:Progress.indicator ->
    targets:Package_set.t ->
    available:Package_set.t ->
		?known:Package_set.t ->
    unit ->
		Package_set.t *)
val abundance : db -> Package_set.t -> bool
